// Copyright The OpenTelemetry Authors
// SPDX-License-Identifier: Apache-2.0

package fileexporter

import (
	"testing"

	"go.uber.org/goleak"
)

// The IgnoreTopFunction call prevents catching the leak generated by the natefinch/lumberjack package.
// Existing issue for leak: https://github.com/natefinch/lumberjack/issues/56
func TestMain(m *testing.M) {
	goleak.VerifyTestMain(m, goleak.IgnoreTopFunction("gopkg.in/natefinch/lumberjack%2ev2.(*Logger).millRun"))
}
